package com.gic.haoban.manage.api.dto.hm;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: TabHaobanHmLink
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月01日 14:07:23
 * @Modify
 * @CopyRight 
 */
public class HmLinkWxaDTO implements Serializable {

    private static final long serialVersionUID = 6473795387449522116L;

    private Long pageId ;
    private Long hmId ;
    private String wxEnterpriseId ; 
    private String enterpriseId ;
    private HmPageDTO page;
    // 二维码
    private String hmQrcode;

    // 自定义门店规则1推荐门店 2附近门店 3:获取群活码需要传入经纬度
    private int storeType;
    // 是否展示省市区门店查询
    private int selectStoreFlag;

    // 推荐的门店列表
    private List<HmLinkStoreDTO> storeList;
    // 说明
    private Map<String,String> remarkMap  ;

    /**
     * 是否企微好友
     */
    private Integer qwFriendFlag ;

    // 是否群活码
    private boolean isGroupChatHm ;

    public boolean isGroupChatHm() {
        return isGroupChatHm;
    }

    public void setGroupChatHm(boolean isGroupChatHm) {
        this.isGroupChatHm = isGroupChatHm;
    }


    public Integer getQwFriendFlag() {
        return qwFriendFlag;
    }

    public void setQwFriendFlag(Integer qwFriendFlag) {
        this.qwFriendFlag = qwFriendFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getHmId() {
        return hmId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public HmPageDTO getPage() {
        return page;
    }

    public void setPage(HmPageDTO page) {
        this.page = page;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }
    

    public Map<String, String> getRemarkMap() {
        return remarkMap;
    }

    public void setRemarkMap(Map<String, String> remarkMap) {
        this.remarkMap = remarkMap;
    }

    public String getHmQrcode() {
        return hmQrcode;
    }

    public void setHmQrcode(String hmQrcode) {
        this.hmQrcode = hmQrcode;
    }

    public int getStoreType() {
        return storeType;
    }

    public void setStoreType(int storeType) {
        this.storeType = storeType;
    }

    public List<HmLinkStoreDTO> getStoreList() {
        return storeList;
    }

    public void setStoreList(List<HmLinkStoreDTO> storeList) {
        this.storeList = storeList;
    }

    public int getSelectStoreFlag() {
        return selectStoreFlag;
    }

    public void setSelectStoreFlag(int selectStoreFlag) {
        this.selectStoreFlag = selectStoreFlag;
    }
}